Subject: [Dime] Enumerated Type

From: Carlos Fangmeier <[email-masked]>
Date: Fri, 15 Jan 2016 09:27:40 -0300

Hi everyone

In my work I implemented a diameter serializer/des-serializer from/to
a human readable json-like data structure. It is based on a dynamic
engine, capable of reading the message structure direct from the ABNF
command code specifictaion.
During the coding I realized that the diameter abnf grammar do not
consider a way to define the associated tags (human readable) for each
posbile value of a enumerated type. With a light modification to the
grammar it is possible to achieve it, and it gave the capability to my
serializer to validate and translate the value from/to the human
readable form.

Is this functionality beyond the scope of the diameter specification,
or is there a reason for not including it?

Thanks for your comments.

Carlos Fangmeier